/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

import java.io.*;

public class AffichageRecursif {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));
  
  /* Fonction d'affichage en ordre inverse des entiers    */
  /* n : valeur a partir de laquelle afficher             */

  public static void affichageRecursif(int n) {
  /* Affichage de la valeur de n                          */
    System.out.println(n);
  /* Poursuite récursive sur n-1 si n n'est pas egal a 1  */
    if ( n != 1 )
      affichageRecursif(n-1);    
  }
  
  public static void main(String [] args) throws IOException {
  /* Affichage message et lecture au clavier de la valeur */
  /* initiale de n                                        */
    System.out.print("Valeur de n : ");
    int n = Integer.valueOf(flux.readLine()).intValue();
  /* Lancement de la fonction recursive d'affichage       */
    affichageRecursif(n);
  }
}